이 섹션의 다중 페이지 출력 화면임. 여기를 클릭하여 프린트.
APIs
- 1: Accept a volume transfer
- 2: Attach Virtual Server Security Group
- 2.1: 1.0
- 3: Attach Volume to Virtual Server
- 4: Create a snapshot
- 5: Create a volume transfer
- 6: Create Auto-Scaling Group
- 7: Create Auto-Scaling Group Notification
- 8: Create Auto-Scaling Group Policy
- 9: Create Auto-Scaling Group Schedule
- 10: Create Image
- 11: Create Image member
- 12: Create Keypair
- 13: Create Launch Configuration
- 14: Create Server Group
- 15: Create Server Interface
- 16: Create Server Interface Nat
- 17: Create Server Interface Private Nat
- 18: Create Server Volume
- 19: Create Sharing Image
- 20: Create Virtual Server
- 21: Create Virtual Server Custom Image
- 22: Create Virtual Server Dump
- 23: Create Volume
- 24: Delete a snapshot
- 25: Delete a volume transfer
- 26: Delete Auto-Scaling Group
- 27: Delete Auto-Scaling Group Notification
- 28: Delete Auto-Scaling Group Policy
- 29: Delete Auto-Scaling Group Schedule
- 30: Delete Image
- 31: Delete Image member
- 32: Delete Keypair
- 33: Delete Launch Configuration
- 34: Delete Server Group
- 35: Delete Server Interface
- 36: Delete Server Interface Nat
- 37: Delete Server Interface Private Nat
- 38: Delete Server Volume
- 39: Delete Virtual Server
- 40: Delete Volume
- 41: Detach Virtual Server Security Group
- 41.1: 1.0
- 42: Detach Volume from Virtual Server
- 43: Extend Volume
- 44: Get region's maximum partition size.
- 45: Import Image
- 46: List Auto-Scaling Group LB Server Groups
- 47: List Auto-Scaling Group Notifications
- 48: List Auto-Scaling Group Policies
- 49: List Auto-Scaling Group Schedules
- 50: List Auto-Scaling Group Virtual Servers
- 51: List Auto-Scaling Groups
- 52: List Default Configs
- 53: List Image members
- 54: List Images
- 55: List Keypairs
- 56: List Launch Configurations
- 57: List pending Images
- 58: List Server Groups
- 59: List Server Interfaces
- 60: List Server Ips
- 61: List Server Types
- 62: List Server Volumes
- 63: List snapshots
- 64: List Virtual Server Security Group
- 65: List Virtual Servers
- 66: List volume transfers
- 67: List volume types
- 68: List volumes
- 69: Lock Virtual Server
- 70: Reboot Virtual Server
- 71: Rebuild Virtual Server
- 72: Revert Volume to snapshot
- 73: Set Volume Qos
- 74: Show a snapshot’s details
- 75: Show Auto-Scaling Group
- 76: Show Auto-Scaling Group Notification
- 77: Show Auto-Scaling Group Policy
- 78: Show Auto-Scaling Group Schedule
- 79: Show default Volume type’s details
- 80: Show Image
- 81: Show Image member
- 82: Show Keypair
- 83: Show Launch Configuration
- 84: Show Server Group
- 85: Show Server Interface
- 86: Show Server Ip
- 87: Show Server Quota Set
- 88: Show Server Type
- 89: Show Server Volume
- 90: Show Virtual Server
- 91: Show Virtual Server Console Log
- 92: Show Virtual Server Password
- 93: Show Volume Quota Set
- 94: Show volume transfer detail
- 95: Show Volume type’s details
- 96: Show Volume's details
- 97: Start Virtual Server
- 98: Stop Virtual Server
- 99: Unlock Virtual Server
- 100: Update a snapshot
- 101: Update Auto-Scaling Group
- 102: Update Auto-Scaling Group LB Server Groups
- 103: Update Auto-Scaling Group Notification
- 104: Update Auto-Scaling Group Policy
- 105: Update Auto-Scaling Group Schedule
- 106: Update Auto-Scaling Group server count
- 107: Update Image
- 108: Update Image member
- 109: Update Server Interface
- 110: Update Server Volume
- 111: Update Virtual Server
- 112: Update Virtual Server type
- 113: Update Volume
1 - Accept a volume transfer
1.1 - 1.3
post /v1/volume-transfer/{transfer_id}/accept
Description
볼륨 이전 받기를 수락합니다.
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.3 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | transfer_id required | 볼륨 이전 ID Example : 1ac231be-823b-4a4d-8ff0-aac503a7118a | string | None |
| body | body required | VolumeTransferAcceptRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | VolumeTransferAcceptResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
Example HTTP request
Request path
/v1/volume-transfer/{transfer_id}/accept
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = virtualserver 1.3"
Request body
{
"auth_key": "f5972fdb456897eb"
}
Example HTTP response
Response 202
{
"id": "1ac231be-823b-4a4d-8ff0-aac503a7118a",
"name": "volume01",
"volume_id": "3f500f00-ed80-4566-a057-e31760226f9a"
}
1.2 - 1.2
post /v1/volume-transfer/{transfer_id}/accept
Description
볼륨 이전 받기를 수락합니다.
상태 ACTIVE (SUPPORTED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.2 | 20260831 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | transfer_id required | 볼륨 이전 ID Example : 1ac231be-823b-4a4d-8ff0-aac503a7118a | string | None |
| body | body required | VolumeTransferAcceptRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | VolumeTransferAcceptResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
Example HTTP request
Request path
/v1/volume-transfer/{transfer_id}/accept
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = virtualserver 1.2"
Request body
{
"auth_key": "f5972fdb456897eb"
}
Example HTTP response
Response 202
{
"id": "1ac231be-823b-4a4d-8ff0-aac503a7118a",
"name": "volume01",
"volume_id": "3f500f00-ed80-4566-a057-e31760226f9a"
}
1.3 - 1.1
post /v1/volume-transfer/{transfer_id}/accept
Description
볼륨 이전 받기를 수락합니다.
상태 ACTIVE (DEPRECATED)
Not Before 기간이 도래하거나 만료된 Deprecated 버전은 더 이상 지원하지 않습니다. 최신 버전 사용을 권장합니다.
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | 20260531 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | transfer_id required | 볼륨 이전 ID Example : 1ac231be-823b-4a4d-8ff0-aac503a7118a | string | None |
| body | body required | VolumeTransferAcceptRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | VolumeTransferAcceptResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
Example HTTP request
Request path
/v1/volume-transfer/{transfer_id}/accept
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = virtualserver 1.1"
Request body
{
"auth_key": "f5972fdb456897eb"
}
Example HTTP response
Response 202
{
"id": "1ac231be-823b-4a4d-8ff0-aac503a7118a",
"name": "volume01",
"volume_id": "3f500f00-ed80-4566-a057-e31760226f9a"
}
1.4 - 1.0
post /v1/volume-transfer/{transfer_id}/accept
Description
볼륨 이전 받기를 수락합니다.
상태 ACTIVE (DEPRECATED)
Not Before 기간이 도래하거나 만료된 Deprecated 버전은 더 이상 지원하지 않습니다. 최신 버전 사용을 권장합니다.
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | transfer_id required | 볼륨 이전 ID Example : 1ac231be-823b-4a4d-8ff0-aac503a7118a | string | None |
| body | body required | VolumeTransferAcceptRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | VolumeTransferAcceptResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
Example HTTP request
Request path
/v1/volume-transfer/{transfer_id}/accept
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = virtualserver 1.0"
Request body
{
"auth_key": "f5972fdb456897eb"
}
Example HTTP response
Response 202
{
"id": "1ac231be-823b-4a4d-8ff0-aac503a7118a",
"name": "volume01",
"volume_id": "3f500f00-ed80-4566-a057-e31760226f9a"
}
2 - Attach Virtual Server Security Group
2.1 - 1.0
post /v1/servers/{server_id}/security-groups
Description
서버에 Security Group을 추가합니다.
상태 ACTIVE (DEPRECATED)
Not Before 기간이 도래하거나 만료된 Deprecated 버전은 더 이상 지원하지 않습니다. 최신 버전 사용을 권장합니다.
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | server_id required | 서버 ID Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f | string | None |
| body | body required | ServerSecurityGroupActionRequestBody |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | None |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/servers/{server_id}/security-groups
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = virtualserver 1.0"
Request body
{
"security_group_id": "c09c3f05-03d9-443f-b27a-40e0f973c75f"
}
Example HTTP response
Response 202
3 - Attach Volume to Virtual Server
3.1 - 1.3
post /v1/volumes/{volume_id}/servers
Description
볼륨을 서버에 연결합니다.
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.3 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | volume_id required | 볼륨 ID Example : 3f500f00-ed80-4566-a057-e31760226f9a | string | None |
| body | body required | VolumeServerAttachRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | VolumeServerAttachResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/volumes/{volume_id}/servers
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = virtualserver 1.3"
Request body
{
"delete_on_termination": false,
"server_id": "2a9be312-5d4b-4bc8-b2ae-35100fa9241f"
}
Example HTTP response
Response 202
{
"delete_on_termination": false,
"device": "/dev/vda",
"server_id": "2a9be312-5d4b-4bc8-b2ae-35100fa9241f",
"volume_id": "3f500f00-ed80-4566-a057-e31760226f9a"
}
3.2 - 1.2
post /v1/volumes/{volume_id}/servers
Description
볼륨을 서버에 연결합니다.
상태 ACTIVE (SUPPORTED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.2 | 20260831 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | volume_id required | 볼륨 ID Example : 3f500f00-ed80-4566-a057-e31760226f9a | string | None |
| body | body required | VolumeServerAttachRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | VolumeServerAttachResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/volumes/{volume_id}/servers
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = virtualserver 1.2"
Request body
{
"delete_on_termination": false,
"server_id": "2a9be312-5d4b-4bc8-b2ae-35100fa9241f"
}
Example HTTP response
Response 202
{
"delete_on_termination": false,
"device": "/dev/vda",
"server_id": "2a9be312-5d4b-4bc8-b2ae-35100fa9241f",
"volume_id": "3f500f00-ed80-4566-a057-e31760226f9a"
}
3.3 - 1.1
post /v1/volumes/{volume_id}/servers
Description
볼륨을 서버에 연결합니다.
상태 ACTIVE (DEPRECATED)
Not Before 기간이 도래하거나 만료된 Deprecated 버전은 더 이상 지원하지 않습니다. 최신 버전 사용을 권장합니다.
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | 20260531 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | volume_id required | 볼륨 ID Example : 3f500f00-ed80-4566-a057-e31760226f9a | string | None |
| body | body required | VolumeServerAttachRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | VolumeServerAttachResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/volumes/{volume_id}/servers
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = virtualserver 1.1"
Request body
{
"delete_on_termination": false,
"server_id": "2a9be312-5d4b-4bc8-b2ae-35100fa9241f"
}
Example HTTP response
Response 202
{
"delete_on_termination": false,
"device": "/dev/vda",
"server_id": "2a9be312-5d4b-4bc8-b2ae-35100fa9241f",
"volume_id": "3f500f00-ed80-4566-a057-e31760226f9a"
}
3.4 - 1.0
post /v1/volumes/{volume_id}/servers
Description
볼륨을 서버에 연결합니다.
상태 ACTIVE (DEPRECATED)
Not Before 기간이 도래하거나 만료된 Deprecated 버전은 더 이상 지원하지 않습니다. 최신 버전 사용을 권장합니다.
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | volume_id required | 볼륨 ID Example : 3f500f00-ed80-4566-a057-e31760226f9a | string | None |
| body | body required | VolumeServerAttachRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | VolumeServerAttachResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/volumes/{volume_id}/servers
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = virtualserver 1.0"
Request body
{
"delete_on_termination": false,
"server_id": "2a9be312-5d4b-4bc8-b2ae-35100fa9241f"
}
Example HTTP response
Response 202
{
"delete_on_termination": false,
"device": "/dev/vda",
"server_id": "2a9be312-5d4b-4bc8-b2ae-35100fa9241f",
"volume_id": "3f500f00-ed80-4566-a057-e31760226f9a"
}
4 - Create a snapshot
4.1 - 1.3
post /v1/snapshots
Description
볼륨 스냅샷을 생성합니다. 이 스냅샷은 볼륨의 전체 복사본입니다. 생성된 스냅샷에서 볼륨을 생성할 수 있습니다.
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.3 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| body | body required | SnapshotCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | SnapshotDetailResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
Example HTTP request
Request path
/v1/snapshots
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = virtualserver 1.3"
Request body
{
"description": "description",
"force": true,
"metadata": "",
"name": "snapshot-1",
"volume_id": "3f500f00-ed80-4566-a057-e31760226f9a"
}
Example HTTP response
Response 202
{
"created_at": "2025-07-22T09:00:00Z",
"description": "description",
"id": "cceed636-1f1e-4bb0-b85c-4e5b9e0bf790",
"metadata": "Metadata",
"name": "snapshot-1",
"size": 104,
"status": "available",
"updated_at": "2025-07-26T12:00:00Z",
"user_id": "570907805e5447be84b618450ef52o0t",
"volume_id": "3f500f00-ed80-4566-a057-e31760226f9a"
}
4.2 - 1.2
post /v1/snapshots
Description
볼륨 스냅샷을 생성합니다. 이 스냅샷은 볼륨의 전체 복사본입니다. 생성된 스냅샷에서 볼륨을 생성할 수 있습니다.
상태 ACTIVE (SUPPORTED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.2 | 20260831 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| body | body required | SnapshotCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | SnapshotDetailResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
Example HTTP request
Request path
/v1/snapshots
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = virtualserver 1.2"
Request body
{
"description": "description",
"force": true,
"metadata": "",
"name": "snapshot-1",
"volume_id": "3f500f00-ed80-4566-a057-e31760226f9a"
}
Example HTTP response
Response 202
{
"created_at": "2025-07-22T09:00:00Z",
"description": "description",
"id": "cceed636-1f1e-4bb0-b85c-4e5b9e0bf790",
"metadata": "Metadata",
"name": "snapshot-1",
"size": 104,
"status": "available",
"updated_at": "2025-07-26T12:00:00Z",
"user_id": "570907805e5447be84b618450ef52o0t",
"volume_id": "3f500f00-ed80-4566-a057-e31760226f9a"
}
4.3 - 1.1
post /v1/snapshots
Description
볼륨 스냅샷을 생성합니다. 이 스냅샷은 볼륨의 전체 복사본입니다. 생성된 스냅샷에서 볼륨을 생성할 수 있습니다.
상태 ACTIVE (DEPRECATED)
Not Before 기간이 도래하거나 만료된 Deprecated 버전은 더 이상 지원하지 않습니다. 최신 버전 사용을 권장합니다.
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | 20260531 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| body | body required | SnapshotCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | SnapshotDetailResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
Example HTTP request
Request path
/v1/snapshots
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = virtualserver 1.1"
Request body
{
"description": "description",
"force": true,
"metadata": "",
"name": "snapshot-1",
"volume_id": "3f500f00-ed80-4566-a057-e31760226f9a"
}
Example HTTP response
Response 202
{
"created_at": "2025-07-22T09:00:00Z",
"description": "description",
"id": "cceed636-1f1e-4bb0-b85c-4e5b9e0bf790",
"metadata": "Metadata",
"name": "snapshot-1",
"size": 104,
"status": "available",
"updated_at": "2025-07-26T12:00:00Z",
"user_id": "570907805e5447be84b618450ef52o0t",
"volume_id": "3f500f00-ed80-4566-a057-e31760226f9a"
}
4.4 - 1.0
post /v1/snapshots
Description
볼륨 스냅샷을 생성합니다. 이 스냅샷은 볼륨의 전체 복사본입니다. 생성된 스냅샷에서 볼륨을 생성할 수 있습니다.
상태 ACTIVE (DEPRECATED)
Not Before 기간이 도래하거나 만료된 Deprecated 버전은 더 이상 지원하지 않습니다. 최신 버전 사용을 권장합니다.
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| body | body required | SnapshotCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | SnapshotDetailResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
Example HTTP request
Request path
/v1/snapshots
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = virtualserver 1.0"
Request body
{
"description": "description",
"force": true,
"metadata": "",
"name": "snapshot-1",
"volume_id": "3f500f00-ed80-4566-a057-e31760226f9a"
}
Example HTTP response
Response 202
{
"created_at": "2025-07-22T09:00:00Z",
"description": "description",
"id": "cceed636-1f1e-4bb0-b85c-4e5b9e0bf790",
"metadata": "Metadata",
"name": "snapshot-1",
"size": 104,
"status": "available",
"updated_at": "2025-07-26T12:00:00Z",
"user_id": "570907805e5447be84b618450ef52o0t",
"volume_id": "3f500f00-ed80-4566-a057-e31760226f9a"
}
5 - Create a volume transfer
5.1 - 1.3
post /v1/volume-transfer
Description
볼륨 이전을 신청합니다.
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.3 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| body | body required | VolumeTransferRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | VolumeTransferCreateResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
Example HTTP request
Request path
/v1/volume-transfer
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = virtualserver 1.3"
Request body
{
"name": "volume01",
"volume_id": "3f500f00-ed80-4566-a057-e31760226f9a"
}
Example HTTP response
Response 202
{
"auth_key": "f5972fdb456897eb",
"created_at": "",
"id": "1ac231be-823b-4a4d-8ff0-aac503a7118a",
"name": "volume01",
"volume_id": "3f500f00-ed80-4566-a057-e31760226f9a"
}
5.2 - 1.2
post /v1/volume-transfer
Description
볼륨 이전을 신청합니다.
상태 ACTIVE (SUPPORTED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.2 | 20260831 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| body | body required | VolumeTransferRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | VolumeTransferCreateResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
Example HTTP request
Request path
/v1/volume-transfer
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = virtualserver 1.2"
Request body
{
"name": "volume01",
"volume_id": "3f500f00-ed80-4566-a057-e31760226f9a"
}
Example HTTP response
Response 202
{
"auth_key": "f5972fdb456897eb",
"created_at": "",
"id": "1ac231be-823b-4a4d-8ff0-aac503a7118a",
"name": "volume01",
"volume_id": "3f500f00-ed80-4566-a057-e31760226f9a"
}
5.3 - 1.1
post /v1/volume-transfer
Description
볼륨 이전을 신청합니다.
상태 ACTIVE (DEPRECATED)
Not Before 기간이 도래하거나 만료된 Deprecated 버전은 더 이상 지원하지 않습니다. 최신 버전 사용을 권장합니다.
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | 20260531 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| body | body required | VolumeTransferRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | VolumeTransferCreateResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
Example HTTP request
Request path
/v1/volume-transfer
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = virtualserver 1.1"
Request body
{
"name": "volume01",
"volume_id": "3f500f00-ed80-4566-a057-e31760226f9a"
}
Example HTTP response
Response 202
{
"auth_key": "f5972fdb456897eb",
"created_at": "",
"id": "1ac231be-823b-4a4d-8ff0-aac503a7118a",
"name": "volume01",
"volume_id": "3f500f00-ed80-4566-a057-e31760226f9a"
}
5.4 - 1.0
post /v1/volume-transfer
Description
볼륨 이전을 신청합니다.
상태 ACTIVE (DEPRECATED)
Not Before 기간이 도래하거나 만료된 Deprecated 버전은 더 이상 지원하지 않습니다. 최신 버전 사용을 권장합니다.
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| body | body required | VolumeTransferRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | VolumeTransferCreateResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
Example HTTP request
Request path
/v1/volume-transfer
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = virtualserver 1.0"
Request body
{
"name": "volume01",
"volume_id": "3f500f00-ed80-4566-a057-e31760226f9a"
}
Example HTTP response
Response 202
{
"auth_key": "f5972fdb456897eb",
"created_at": "",
"id": "1ac231be-823b-4a4d-8ff0-aac503a7118a",
"name": "volume01",
"volume_id": "3f500f00-ed80-4566-a057-e31760226f9a"
}
6 - Create Auto-Scaling Group
6.1 - 1.3
post /v1/auto-scaling-groups
Description
Auto-Scaling Group을 생성합니다.
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.3 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| body | body required | AutoScalingGroupCreateRequestV1Dot2 |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 201 | Created | AutoScalingGroupShowResponseV1Dot2 |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/auto-scaling-groups
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = virtualserver 1.3"
Request body
{
"desired_server_count": 1,
"desired_server_count_editable": true,
"drain_enabled": true,
"drain_timeout": 300,
"launch_configuration_id": "b5aea5a675fc4f6b9e0fcd1288354c5f",
"lb_server_groups": [],
"max_server_count": 2,
"min_server_count": 1,
"name": "auto-scaling-group-name",
"notifications": [],
"scaling_policies": [],
"security_group_ids": [
"c09c3f05-03d9-443f-b27a-40e0f973c75f"
],
"server_name_prefix": "server-name-prefix",
"state_check_delay_time": 300,
"subnet_ids": [
""
],
"tags": [
{
"key": "key",
"value": "value"
}
],
"use_lb_state_check": true
}
Example HTTP response
Response 201
{
"account_id": "a8f10467abfc4b87b64614ab36eb9ae4",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"desired_server_count": 1,
"desired_server_count_editable": true,
"drain_enabled": true,
"drain_timeout": 300,
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"launch_configuration_id": "b5aea5a675fc4f6b9e0fcd1288354c5f",
"launch_configuration_name": "launch-configuration-name",
"lb_server_groups": [],
"max_server_count": 2,
"min_server_count": 1,
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "auto-scaling-group-name",
"security_group_ids": [
"c09c3f05-03d9-443f-b27a-40e0f973c75f"
],
"server_name_prefix": "server-name-prefix",
"state": "IN_SERVICE",
"state_check_delay_time": 300,
"subnet_ids": [],
"total_server_count": 1,
"use_lb_state_check": true,
"vpc_id": "cc976b621087484ea5fd527f4b78708b"
}
6.2 - 1.2
post /v1/auto-scaling-groups
Description
Auto-Scaling Group을 생성합니다.
상태 ACTIVE (SUPPORTED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.2 | 20260831 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| body | body required | AutoScalingGroupCreateRequestV1Dot2 |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 201 | Created | AutoScalingGroupShowResponseV1Dot2 |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/auto-scaling-groups
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = virtualserver 1.2"
Request body
{
"desired_server_count": 1,
"desired_server_count_editable": true,
"drain_enabled": true,
"drain_timeout": 300,
"launch_configuration_id": "b5aea5a675fc4f6b9e0fcd1288354c5f",
"lb_server_groups": [],
"max_server_count": 2,
"min_server_count": 1,
"name": "auto-scaling-group-name",
"notifications": [],
"scaling_policies": [],
"security_group_ids": [
"c09c3f05-03d9-443f-b27a-40e0f973c75f"
],
"server_name_prefix": "server-name-prefix",
"state_check_delay_time": 300,
"subnet_ids": [
""
],
"tags": [
{
"key": "key",
"value": "value"
}
],
"use_lb_state_check": true
}
Example HTTP response
Response 201
{
"account_id": "a8f10467abfc4b87b64614ab36eb9ae4",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"desired_server_count": 1,
"desired_server_count_editable": true,
"drain_enabled": true,
"drain_timeout": 300,
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"launch_configuration_id": "b5aea5a675fc4f6b9e0fcd1288354c5f",
"launch_configuration_name": "launch-configuration-name",
"lb_server_groups": [],
"max_server_count": 2,
"min_server_count": 1,
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "auto-scaling-group-name",
"security_group_ids": [
"c09c3f05-03d9-443f-b27a-40e0f973c75f"
],
"server_name_prefix": "server-name-prefix",
"state": "IN_SERVICE",
"state_check_delay_time": 300,
"subnet_ids": [],
"total_server_count": 1,
"use_lb_state_check": true,
"vpc_id": "cc976b621087484ea5fd527f4b78708b"
}
6.3 - 1.1
post /v1/auto-scaling-groups
Description
Auto-Scaling Group을 생성합니다.
상태 ACTIVE (DEPRECATED)
Not Before 기간이 도래하거나 만료된 Deprecated 버전은 더 이상 지원하지 않습니다. 최신 버전 사용을 권장합니다.
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | 20260531 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| body | body required | AutoScalingGroupCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 201 | Created | AutoScalingGroupShowResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/auto-scaling-groups
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = virtualserver 1.1"
Request body
{
"desired_server_count": 1,
"desired_server_count_editable": true,
"drain_enabled": true,
"drain_timeout": 300,
"launch_configuration_id": "b5aea5a675fc4f6b9e0fcd1288354c5f",
"lb_server_groups": [],
"max_server_count": 2,
"min_server_count": 1,
"name": "auto-scaling-group-name",
"notifications": [],
"scaling_policies": [],
"security_group_ids": [
"c09c3f05-03d9-443f-b27a-40e0f973c75f"
],
"server_name_prefix": "server-name-prefix",
"subnet_ids": [
""
],
"tags": [
{
"key": "key",
"value": "value"
}
]
}
Example HTTP response
Response 201
{
"account_id": "a8f10467abfc4b87b64614ab36eb9ae4",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"desired_server_count": 1,
"desired_server_count_editable": true,
"drain_enabled": true,
"drain_timeout": 300,
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"launch_configuration_id": "b5aea5a675fc4f6b9e0fcd1288354c5f",
"launch_configuration_name": "launch-configuration-name",
"lb_server_groups": [],
"max_server_count": 2,
"min_server_count": 1,
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "auto-scaling-group-name",
"security_group_ids": [
"c09c3f05-03d9-443f-b27a-40e0f973c75f"
],
"server_name_prefix": "server-name-prefix",
"state": "IN_SERVICE",
"subnet_ids": [],
"total_server_count": 1,
"vpc_id": "cc976b621087484ea5fd527f4b78708b"
}
6.4 - 1.0
post /v1/auto-scaling-groups
Description
Auto-Scaling Group을 생성합니다.
상태 ACTIVE (DEPRECATED)
Not Before 기간이 도래하거나 만료된 Deprecated 버전은 더 이상 지원하지 않습니다. 최신 버전 사용을 권장합니다.
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| body | body required | AutoScalingGroupCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 201 | Created | AutoScalingGroupShowResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/auto-scaling-groups
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = virtualserver 1.0"
Request body
{
"desired_server_count": 1,
"desired_server_count_editable": true,
"drain_enabled": true,
"drain_timeout": 300,
"launch_configuration_id": "b5aea5a675fc4f6b9e0fcd1288354c5f",
"lb_server_groups": [],
"max_server_count": 2,
"min_server_count": 1,
"name": "auto-scaling-group-name",
"notifications": [],
"scaling_policies": [],
"security_group_ids": [
"c09c3f05-03d9-443f-b27a-40e0f973c75f"
],
"server_name_prefix": "server-name-prefix",
"subnet_ids": [
""
],
"tags": [
{
"key": "key",
"value": "value"
}
]
}
Example HTTP response
Response 201
{
"account_id": "a8f10467abfc4b87b64614ab36eb9ae4",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"desired_server_count": 1,
"desired_server_count_editable": true,
"drain_enabled": true,
"drain_timeout": 300,
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"launch_configuration_id": "b5aea5a675fc4f6b9e0fcd1288354c5f",
"launch_configuration_name": "launch-configuration-name",
"lb_server_groups": [],
"max_server_count": 2,
"min_server_count": 1,
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "auto-scaling-group-name",
"security_group_ids": [
"c09c3f05-03d9-443f-b27a-40e0f973c75f"
],
"server_name_prefix": "server-name-prefix",
"state": "IN_SERVICE",
"subnet_ids": [],
"total_server_count": 1,
"vpc_id": "cc976b621087484ea5fd527f4b78708b"
}
7 - Create Auto-Scaling Group Notification
7.1 - 1.3
post /v1/auto-scaling-groups/{auto_scaling_group_id}/notifications
Description
Auto-Scaling Group 알림을 생성합니다.
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.3 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | auto_scaling_group_id required | Auto-Scaling Group ID Example : 52613bd852b04b39adcb15a8364d856d | string | None |
| body | body required | AutoScalingGroupNotificationCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 201 | Created | AutoScalingGroupNotificationListResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/auto-scaling-groups/{auto_scaling_group_id}/notifications
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = virtualserver 1.3"
Request body
{
"notification_events": [
"SCALE_OUT",
"SCALE_OUT_FAIL"
],
"user_ids": [
"570907805e5447be84b618450ef52o0t"
]
}
Example HTTP response
Response 201
{
"count": 20,
"notifications": [
{
"account_id": "a8f10467abfc4b87b64614ab36eb9ae4",
"auto_scaling_group_id": "52613bd852b04b39adcb15a8364d856d",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"notification_events": [
"SCALE_OUT",
"SCALE_OUT_FAIL"
],
"notification_state": "ACTIVE",
"user_email": "scpuser@samsung.com",
"user_id": "570907805e5447be84b618450ef52o0t",
"user_name": "scpuser"
}
]
}
7.2 - 1.2
post /v1/auto-scaling-groups/{auto_scaling_group_id}/notifications
Description
Auto-Scaling Group 알림을 생성합니다.
상태 ACTIVE (SUPPORTED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.2 | 20260831 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | auto_scaling_group_id required | Auto-Scaling Group ID Example : 52613bd852b04b39adcb15a8364d856d | string | None |
| body | body required | AutoScalingGroupNotificationCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 201 | Created | AutoScalingGroupNotificationListResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/auto-scaling-groups/{auto_scaling_group_id}/notifications
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = virtualserver 1.2"
Request body
{
"notification_events": [
"SCALE_OUT",
"SCALE_OUT_FAIL"
],
"user_ids": [
"570907805e5447be84b618450ef52o0t"
]
}
Example HTTP response
Response 201
{
"count": 20,
"notifications": [
{
"account_id": "a8f10467abfc4b87b64614ab36eb9ae4",
"auto_scaling_group_id": "52613bd852b04b39adcb15a8364d856d",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"notification_events": [
"SCALE_OUT",
"SCALE_OUT_FAIL"
],
"notification_state": "ACTIVE",
"user_email": "scpuser@samsung.com",
"user_id": "570907805e5447be84b618450ef52o0t",
"user_name": "scpuser"
}
]
}
7.3 - 1.1
post /v1/auto-scaling-groups/{auto_scaling_group_id}/notifications
Description
Auto-Scaling Group 알림을 생성합니다.
상태 ACTIVE (DEPRECATED)
Not Before 기간이 도래하거나 만료된 Deprecated 버전은 더 이상 지원하지 않습니다. 최신 버전 사용을 권장합니다.
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | 20260531 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | auto_scaling_group_id required | Auto-Scaling Group ID Example : 52613bd852b04b39adcb15a8364d856d | string | None |
| body | body required | AutoScalingGroupNotificationCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 201 | Created | AutoScalingGroupNotificationListResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/auto-scaling-groups/{auto_scaling_group_id}/notifications
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = virtualserver 1.1"
Request body
{
"notification_events": [
"SCALE_OUT",
"SCALE_OUT_FAIL"
],
"user_ids": [
"570907805e5447be84b618450ef52o0t"
]
}
Example HTTP response
Response 201
{
"count": 20,
"notifications": [
{
"account_id": "a8f10467abfc4b87b64614ab36eb9ae4",
"auto_scaling_group_id": "52613bd852b04b39adcb15a8364d856d",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"notification_events": [
"SCALE_OUT",
"SCALE_OUT_FAIL"
],
"notification_state": "ACTIVE",
"user_email": "scpuser@samsung.com",
"user_id": "570907805e5447be84b618450ef52o0t",
"user_name": "scpuser"
}
]
}
7.4 - 1.0
post /v1/auto-scaling-groups/{auto_scaling_group_id}/notifications
Description
Auto-Scaling Group 알림을 생성합니다.
상태 ACTIVE (DEPRECATED)
Not Before 기간이 도래하거나 만료된 Deprecated 버전은 더 이상 지원하지 않습니다. 최신 버전 사용을 권장합니다.
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | auto_scaling_group_id required | Auto-Scaling Group ID Example : 52613bd852b04b39adcb15a8364d856d | string | None |
| body | body required | AutoScalingGroupNotificationCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 201 | Created | AutoScalingGroupNotificationListResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/auto-scaling-groups/{auto_scaling_group_id}/notifications
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = virtualserver 1.0"
Request body
{
"notification_events": [
"SCALE_OUT",
"SCALE_OUT_FAIL"
],
"user_ids": [
"570907805e5447be84b618450ef52o0t"
]
}
Example HTTP response
Response 201
{
"count": 20,
"notifications": [
{
"account_id": "a8f10467abfc4b87b64614ab36eb9ae4",
"auto_scaling_group_id": "52613bd852b04b39adcb15a8364d856d",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"notification_events": [
"SCALE_OUT",
"SCALE_OUT_FAIL"
],
"notification_state": "ACTIVE",
"user_email": "scpuser@samsung.com",
"user_id": "570907805e5447be84b618450ef52o0t",
"user_name": "scpuser"
}
]
}
8 - Create Auto-Scaling Group Policy
8.1 - 1.3
post /v1/auto-scaling-groups/{auto_scaling_group_id}/policies
Description
Auto-Scaling Group 정책을 생성합니다.
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.3 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | auto_scaling_group_id required | Auto-Scaling Group ID Example : 52613bd852b04b39adcb15a8364d856d | string | None |
| body | body required | AutoScalingGroupPolicyCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 201 | Created | AutoScalingGroupPolicyShowResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/auto-scaling-groups/{auto_scaling_group_id}/policies
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = virtualserver 1.3"
Request body
{
"comparison_operator": "ge",
"cooldown_seconds": 300,
"evaluation_minutes": 5,
"metric_method": "AVG",
"metric_type": "CPU",
"name": "policy-name",
"scale_method": "AMOUNT",
"scale_type": "SCALE_OUT",
"scale_value": 10,
"threshold": 60
}
Example HTTP response
Response 201
{
"account_id": "a8f10467abfc4b87b64614ab36eb9ae4",
"auto_scaling_group_id": "52613bd852b04b39adcb15a8364d856d",
"comparison_operator": "ge",
"cooldown_seconds": 300,
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"evaluation_minutes": 5,
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"metric_method": "AVG",
"metric_type": "CPU",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "policy-name",
"scale_method": "AMOUNT",
"scale_type": "SCALE_OUT",
"scale_value": 10,
"state": "ACTIVE",
"threshold": 60,
"threshold_unit": "%"
}
8.2 - 1.2
post /v1/auto-scaling-groups/{auto_scaling_group_id}/policies
Description
Auto-Scaling Group 정책을 생성합니다.
상태 ACTIVE (SUPPORTED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.2 | 20260831 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | auto_scaling_group_id required | Auto-Scaling Group ID Example : 52613bd852b04b39adcb15a8364d856d | string | None |
| body | body required | AutoScalingGroupPolicyCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 201 | Created | AutoScalingGroupPolicyShowResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/auto-scaling-groups/{auto_scaling_group_id}/policies
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = virtualserver 1.2"
Request body
{
"comparison_operator": "ge",
"cooldown_seconds": 300,
"evaluation_minutes": 5,
"metric_method": "AVG",
"metric_type": "CPU",
"name": "policy-name",
"scale_method": "AMOUNT",
"scale_type": "SCALE_OUT",
"scale_value": 10,
"threshold": 60
}
Example HTTP response
Response 201
{
"account_id": "a8f10467abfc4b87b64614ab36eb9ae4",
"auto_scaling_group_id": "52613bd852b04b39adcb15a8364d856d",
"comparison_operator": "ge",
"cooldown_seconds": 300,
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"evaluation_minutes": 5,
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"metric_method": "AVG",
"metric_type": "CPU",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "policy-name",
"scale_method": "AMOUNT",
"scale_type": "SCALE_OUT",
"scale_value": 10,
"state": "ACTIVE",
"threshold": 60,
"threshold_unit": "%"
}
8.3 - 1.1
post /v1/auto-scaling-groups/{auto_scaling_group_id}/policies
Description
Auto-Scaling Group 정책을 생성합니다.
상태 ACTIVE (DEPRECATED)
Not Before 기간이 도래하거나 만료된 Deprecated 버전은 더 이상 지원하지 않습니다. 최신 버전 사용을 권장합니다.
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | 20260531 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | auto_scaling_group_id required | Auto-Scaling Group ID Example : 52613bd852b04b39adcb15a8364d856d | string | None |
| body | body required | AutoScalingGroupPolicyCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 201 | Created | AutoScalingGroupPolicyShowResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/auto-scaling-groups/{auto_scaling_group_id}/policies
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = virtualserver 1.1"
Request body
{
"comparison_operator": "ge",
"cooldown_seconds": 300,
"evaluation_minutes": 5,
"metric_method": "AVG",
"metric_type": "CPU",
"name": "policy-name",
"scale_method": "AMOUNT",
"scale_type": "SCALE_OUT",
"scale_value": 10,
"threshold": 60
}
Example HTTP response
Response 201
{
"account_id": "a8f10467abfc4b87b64614ab36eb9ae4",
"auto_scaling_group_id": "52613bd852b04b39adcb15a8364d856d",
"comparison_operator": "ge",
"cooldown_seconds": 300,
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"evaluation_minutes": 5,
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"metric_method": "AVG",
"metric_type": "CPU",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "policy-name",
"scale_method": "AMOUNT",
"scale_type": "SCALE_OUT",
"scale_value": 10,
"state": "ACTIVE",
"threshold": 60,
"threshold_unit": "%"
}
8.4 - 1.0
post /v1/auto-scaling-groups/{auto_scaling_group_id}/policies
Description
Auto-Scaling Group 정책을 생성합니다.
상태 ACTIVE (DEPRECATED)
Not Before 기간이 도래하거나 만료된 Deprecated 버전은 더 이상 지원하지 않습니다. 최신 버전 사용을 권장합니다.
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | auto_scaling_group_id required | Auto-Scaling Group ID Example : 52613bd852b04b39adcb15a8364d856d | string | None |
| body | body required | AutoScalingGroupPolicyCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 201 | Created | AutoScalingGroupPolicyShowResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/auto-scaling-groups/{auto_scaling_group_id}/policies
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = virtualserver 1.0"
Request body
{
"comparison_operator": "ge",
"cooldown_seconds": 300,
"evaluation_minutes": 5,
"metric_method": "AVG",
"metric_type": "CPU",
"name": "policy-name",
"scale_method": "AMOUNT",
"scale_type": "SCALE_OUT",
"scale_value": 10,
"threshold": 60
}
Example HTTP response
Response 201
{
"account_id": "a8f10467abfc4b87b64614ab36eb9ae4",
"auto_scaling_group_id": "52613bd852b04b39adcb15a8364d856d",
"comparison_operator": "ge",
"cooldown_seconds": 300,
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"evaluation_minutes": 5,
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"metric_method": "AVG",
"metric_type": "CPU",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "policy-name",
"scale_method": "AMOUNT",
"scale_type": "SCALE_OUT",
"scale_value": 10,
"state": "ACTIVE",
"threshold": 60,
"threshold_unit": "%"
}
9 - Create Auto-Scaling Group Schedule
9.1 - 1.3
post /v1/auto-scaling-groups/{auto_scaling_group_id}/schedules
Description
Auto-Scaling Group 스케줄을 생성합니다.
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.3 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | auto_scaling_group_id required | Auto-Scaling Group ID Example : 52613bd852b04b39adcb15a8364d856d | string | None |
| body | body required | AutoScalingGroupScheduleCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 201 | Created | AutoScalingGroupScheduleShowResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/auto-scaling-groups/{auto_scaling_group_id}/schedules
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = virtualserver 1.3"
Request body
{
"day_of_month": "-1,1",
"day_of_week": "SU,SA",
"description": "description",
"desired_server_count": 1,
"end_date": "2025-01-01",
"frequency": "WEEKLY",
"hour": 9,
"max_server_count": 2,
"min_server_count": 1,
"minute": 0,
"name": "schedulename",
"start_date": "2024-01-01",
"state": "ACTIVE",
"timezone": "Asia/Seoul"
}
Example HTTP response
Response 201
{
"account_id": "a8f10467abfc4b87b64614ab36eb9ae4",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"day_of_month": "-1,1",
"day_of_week": "SU,SA",
"description": "description",
"desired_server_count": 1,
"end_date": "2025-01-01",
"frequency": "WEEKLY",
"hour": 9,
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"max_server_count": 2,
"min_server_count": 1,
"minute": 0,
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "schedulename",
"start_date": "2024-01-01",
"state": "ACTIVE",
"timezone": "Asia/Seoul"
}
9.2 - 1.2
post /v1/auto-scaling-groups/{auto_scaling_group_id}/schedules
Description
Auto-Scaling Group 스케줄을 생성합니다.
상태 ACTIVE (SUPPORTED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.2 | 20260831 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | auto_scaling_group_id required | Auto-Scaling Group ID Example : 52613bd852b04b39adcb15a8364d856d | string | None |
| body | body required | AutoScalingGroupScheduleCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 201 | Created | AutoScalingGroupScheduleShowResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/auto-scaling-groups/{auto_scaling_group_id}/schedules
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = virtualserver 1.2"
Request body
{
"day_of_month": "-1,1",
"day_of_week": "SU,SA",
"description": "description",
"desired_server_count": 1,
"end_date": "2025-01-01",
"frequency": "WEEKLY",
"hour": 9,
"max_server_count": 2,
"min_server_count": 1,
"minute": 0,
"name": "schedulename",
"start_date": "2024-01-01",
"state": "ACTIVE",
"timezone": "Asia/Seoul"
}
Example HTTP response
Response 201
{
"account_id": "a8f10467abfc4b87b64614ab36eb9ae4",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"day_of_month": "-1,1",
"day_of_week": "SU,SA",
"description": "description",
"desired_server_count": 1,
"end_date": "2025-01-01",
"frequency": "WEEKLY",
"hour": 9,
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"max_server_count": 2,
"min_server_count": 1,
"minute": 0,
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "schedulename",
"start_date": "2024-01-01",
"state": "ACTIVE",
"timezone": "Asia/Seoul"
}
9.3 - 1.1
post /v1/auto-scaling-groups/{auto_scaling_group_id}/schedules
Description
Auto-Scaling Group 스케줄을 생성합니다.
상태 ACTIVE (DEPRECATED)
Not Before 기간이 도래하거나 만료된 Deprecated 버전은 더 이상 지원하지 않습니다. 최신 버전 사용을 권장합니다.
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | 20260531 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | auto_scaling_group_id required | Auto-Scaling Group ID Example : 52613bd852b04b39adcb15a8364d856d | string | None |
| body | body required | AutoScalingGroupScheduleCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 201 | Created | AutoScalingGroupScheduleShowResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/auto-scaling-groups/{auto_scaling_group_id}/schedules
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = virtualserver 1.1"
Request body
{
"day_of_month": "-1,1",
"day_of_week": "SU,SA",
"description": "description",
"desired_server_count": 1,
"end_date": "2025-01-01",
"frequency": "WEEKLY",
"hour": 9,
"max_server_count": 2,
"min_server_count": 1,
"minute": 0,
"name": "schedulename",
"start_date": "2024-01-01",
"state": "ACTIVE",
"timezone": "Asia/Seoul"
}
Example HTTP response
Response 201
{
"account_id": "a8f10467abfc4b87b64614ab36eb9ae4",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"day_of_month": "-1,1",
"day_of_week": "SU,SA",
"description": "description",
"desired_server_count": 1,
"end_date": "2025-01-01",
"frequency": "WEEKLY",
"hour": 9,
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"max_server_count": 2,
"min_server_count": 1,
"minute": 0,
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "schedulename",
"start_date": "2024-01-01",
"state": "ACTIVE",
"timezone": "Asia/Seoul"
}
9.4 - 1.0
post /v1/auto-scaling-groups/{auto_scaling_group_id}/schedules
Description
Auto-Scaling Group 스케줄을 생성합니다.
상태 ACTIVE (DEPRECATED)
Not Before 기간이 도래하거나 만료된 Deprecated 버전은 더 이상 지원하지 않습니다. 최신 버전 사용을 권장합니다.
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | auto_scaling_group_id required | Auto-Scaling Group ID Example : 52613bd852b04b39adcb15a8364d856d | string | None |
| body | body required | AutoScalingGroupScheduleCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 201 | Created | AutoScalingGroupScheduleShowResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/auto-scaling-groups/{auto_scaling_group_id}/schedules
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = virtualserver 1.0"
Request body
{
"day_of_month": "-1,1",
"day_of_week": "SU,SA",
"description": "description",
"desired_server_count": 1,
"end_date": "2025-01-01",
"frequency": "WEEKLY",
"hour": 9,
"max_server_count": 2,
"min_server_count": 1,
"minute": 0,
"name": "schedulename",
"start_date": "2024-01-01",
"state": "ACTIVE",
"timezone": "Asia/Seoul"
}
Example HTTP response
Response 201
{
"account_id": "a8f10467abfc4b87b64614ab36eb9ae4",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"day_of_month": "-1,1",
"day_of_week": "SU,SA",
"description": "description",
"desired_server_count": 1,
"end_date": "2025-01-01",
"frequency": "WEEKLY",
"hour": 9,
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"max_server_count": 2,
"min_server_count": 1,
"minute": 0,
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "schedulename",
"start_date": "2024-01-01",
"state": "ACTIVE",
"timezone": "Asia/Seoul"
}
10 - Create Image
10.1 - 1.3
post /v1/images
Description
이미지를 생성합니다.
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.3 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| body | body required | ImageCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | ImageShowResponseV1Dot2 |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/images
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = virtualserver 1.3"
Request body
{
"container_format": "bare",
"disk_format": "qcow2",
"min_disk": 100,
"min_ram": 0,
"name": "imagename",
"os_distro": "alma",
"protected": false,
"tags": [
{
"key": "key",
"value": "value"
}
],
"url": "https://object-store.kr-west1.s.samsungsdscloud.com/8989447062e04a818baf9e073fd04fa7/bucket/object.qcow2",
"visibility": "private"
}
Example HTTP response
Response 200
{
"checksum": "7538e0fcb56e0e272cfd89eb384d6613",
"container_format": "bare",
"created_at": "2025-07-22T09:00:00Z",
"disk_format": "qcow2",
"file": "/v2/images/e08a37c1-2162-416e-b7fa-19902419170b/file",
"id": "70a599e0-31e7-49b7-b260-868f441e862b",
"min_disk": 100,
"min_ram": 0,
"name": "imagename",
"os_distro": "alma",
"os_hash_algo": "sha512",
"os_hash_value": "c6a32fc3b7c909b8900b46f5e6066c028a1d799c0a263cf064a600c430a714627c21f98ac248e2f2bf29870a1a2773c7908244745016878e1a5f31dc2c405b99",
"os_hidden": false,
"owner": "a8f10467abfc4b87b64614ab36eb9ae4",
"owner_account_name": "AccountName",
"owner_user_name": "user@samsung.com",
"protected": false,
"root_device_name": "/dev/vda",
"scp_gpu_driver": "535.183.06",
"scp_image_type": "custom",
"scp_k8s_version": "v1.28.7",
"scp_original_image_type": "standard",
"scp_os_build_version": "20250101",
"scp_os_version": "8.8",
"size": 2429747200,
"status": "active",
"updated_at": "2025-07-26T12:00:00Z",
"url": "https://object-store.kr-west1.s.samsungsdscloud.com/8989447062e04a818baf9e073fd04fa7/bucket/object.qcow2",
"virtual_size": 17179869184,
"visibility": "private",
"volumes": "[{\"tag\": null, \"volume_id\": null, \"encryption_options\": null, \"encryption_secret_uuid\": null, \"encryption_format\": null, \"device_name\": \"/dev/vda\", \"disk_bus\": \"virtio\", \"volume_type\": null, \"encrypted\": null, \"image_id\": null, \"device_type\": \"disk\", \"source_type\": \"snapshot\", \"delete_on_termination\": false, \"volume_size\": 104, \"guest_format\": null, \"boot_index\": 0, \"destination_type\": \"volume\", \"snapshot_id\": \"abde9e38-2ed5-4ecd-b23c-b0120e30690e\", \"no_device\": null}]"
}
10.2 - 1.2
post /v1/images
Description
이미지를 생성합니다.
상태 ACTIVE (SUPPORTED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.2 | 20260831 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| body | body required | ImageCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | ImageShowResponseV1Dot2 |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/images
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = virtualserver 1.2"
Request body
{
"container_format": "bare",
"disk_format": "qcow2",
"min_disk": 100,
"min_ram": 0,
"name": "imagename",
"os_distro": "alma",
"protected": false,
"tags": [
{
"key": "key",
"value": "value"
}
],
"url": "https://object-store.kr-west1.s.samsungsdscloud.com/8989447062e04a818baf9e073fd04fa7/bucket/object.qcow2",
"visibility": "private"
}
Example HTTP response
Response 200
{
"checksum": "7538e0fcb56e0e272cfd89eb384d6613",
"container_format": "bare",
"created_at": "2025-07-22T09:00:00Z",
"disk_format": "qcow2",
"file": "/v2/images/e08a37c1-2162-416e-b7fa-19902419170b/file",
"id": "70a599e0-31e7-49b7-b260-868f441e862b",
"min_disk": 100,
"min_ram": 0,
"name": "imagename",
"os_distro": "alma",
"os_hash_algo": "sha512",
"os_hash_value": "c6a32fc3b7c909b8900b46f5e6066c028a1d799c0a263cf064a600c430a714627c21f98ac248e2f2bf29870a1a2773c7908244745016878e1a5f31dc2c405b99",
"os_hidden": false,
"owner": "a8f10467abfc4b87b64614ab36eb9ae4",
"owner_account_name": "AccountName",
"owner_user_name": "user@samsung.com",
"protected": false,
"root_device_name": "/dev/vda",
"scp_gpu_driver": "535.183.06",
"scp_image_type": "custom",
"scp_k8s_version": "v1.28.7",
"scp_original_image_type": "standard",
"scp_os_build_version": "20250101",
"scp_os_version": "8.8",
"size": 2429747200,
"status": "active",
"updated_at": "2025-07-26T12:00:00Z",
"url": "https://object-store.kr-west1.s.samsungsdscloud.com/8989447062e04a818baf9e073fd04fa7/bucket/object.qcow2",
"virtual_size": 17179869184,
"visibility": "private",
"volumes": "[{\"tag\": null, \"volume_id\": null, \"encryption_options\": null, \"encryption_secret_uuid\": null, \"encryption_format\": null, \"device_name\": \"/dev/vda\", \"disk_bus\": \"virtio\", \"volume_type\": null, \"encrypted\": null, \"image_id\": null, \"device_type\": \"disk\", \"source_type\": \"snapshot\", \"delete_on_termination\": false, \"volume_size\": 104, \"guest_format\": null, \"boot_index\": 0, \"destination_type\": \"volume\", \"snapshot_id\": \"abde9e38-2ed5-4ecd-b23c-b0120e30690e\", \"no_device\": null}]"
}
10.3 - 1.1
post /v1/images
Description
이미지를 생성합니다.
상태 ACTIVE (DEPRECATED)
Not Before 기간이 도래하거나 만료된 Deprecated 버전은 더 이상 지원하지 않습니다. 최신 버전 사용을 권장합니다.
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | 20260531 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| body | body required | ImageCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | ImageShowResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/images
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = virtualserver 1.1"
Request body
{
"container_format": "bare",
"disk_format": "qcow2",
"min_disk": 100,
"min_ram": 0,
"name": "imagename",
"os_distro": "alma",
"protected": false,
"tags": [
{
"key": "key",
"value": "value"
}
],
"url": "https://object-store.kr-west1.s.samsungsdscloud.com/8989447062e04a818baf9e073fd04fa7/bucket/object.qcow2",
"visibility": "private"
}
Example HTTP response
Response 200
{
"checksum": "7538e0fcb56e0e272cfd89eb384d6613",
"container_format": "bare",
"created_at": "2025-07-22T09:00:00Z",
"disk_format": "qcow2",
"file": "/v2/images/e08a37c1-2162-416e-b7fa-19902419170b/file",
"id": "70a599e0-31e7-49b7-b260-868f441e862b",
"min_disk": 100,
"min_ram": 0,
"name": "imagename",
"os_distro": "alma",
"os_hash_algo": "sha512",
"os_hash_value": "c6a32fc3b7c909b8900b46f5e6066c028a1d799c0a263cf064a600c430a714627c21f98ac248e2f2bf29870a1a2773c7908244745016878e1a5f31dc2c405b99",
"os_hidden": false,
"owner": "a8f10467abfc4b87b64614ab36eb9ae4",
"owner_account_name": "AccountName",
"owner_user_name": "user@samsung.com",
"protected": false,
"root_device_name": "/dev/vda",
"scp_image_type": "custom",
"scp_k8s_version": "v1.28.7",
"scp_original_image_type": "standard",
"scp_os_build_version": "20250101",
"scp_os_version": "8.8",
"size": 2429747200,
"status": "active",
"updated_at": "2025-07-26T12:00:00Z",
"url": "https://object-store.kr-west1.s.samsungsdscloud.com/8989447062e04a818baf9e073fd04fa7/bucket/object.qcow2",
"virtual_size": 17179869184,
"visibility": "private",
"volumes": "[{\"tag\": null, \"volume_id\": null, \"encryption_options\": null, \"encryption_secret_uuid\": null, \"encryption_format\": null, \"device_name\": \"/dev/vda\", \"disk_bus\": \"virtio\", \"volume_type\": null, \"encrypted\": null, \"image_id\": null, \"device_type\": \"disk\", \"source_type\": \"snapshot\", \"delete_on_termination\": false, \"volume_size\": 104, \"guest_format\": null, \"boot_index\": 0, \"destination_type\": \"volume\", \"snapshot_id\": \"abde9e38-2ed5-4ecd-b23c-b0120e30690e\", \"no_device\": null}]"
}
10.4 - 1.0
post /v1/images
Description
이미지를 생성합니다.
상태 ACTIVE (DEPRECATED)
Not Before 기간이 도래하거나 만료된 Deprecated 버전은 더 이상 지원하지 않습니다. 최신 버전 사용을 권장합니다.
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| body | body required | ImageCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | ImageShowResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/images
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = virtualserver 1.0"
Request body
{
"container_format": "bare",
"disk_format": "qcow2",
"min_disk": 100,
"min_ram": 0,
"name": "imagename",
"os_distro": "alma",
"protected": false,
"tags": [
{
"key": "key",
"value": "value"
}
],
"url": "https://object-store.kr-west1.s.samsungsdscloud.com/8989447062e04a818baf9e073fd04fa7/bucket/object.qcow2",
"visibility": "private"
}
Example HTTP response
Response 200
{
"checksum": "7538e0fcb56e0e272cfd89eb384d6613",
"container_format": "bare",
"created_at": "2025-07-22T09:00:00Z",
"disk_format": "qcow2",
"file": "/v2/images/e08a37c1-2162-416e-b7fa-19902419170b/file",
"id": "70a599e0-31e7-49b7-b260-868f441e862b",
"min_disk": 100,
"min_ram": 0,
"name": "imagename",
"os_distro": "alma",
"os_hash_algo": "sha512",
"os_hash_value": "c6a32fc3b7c909b8900b46f5e6066c028a1d799c0a263cf064a600c430a714627c21f98ac248e2f2bf29870a1a2773c7908244745016878e1a5f31dc2c405b99",
"os_hidden": false,
"owner": "a8f10467abfc4b87b64614ab36eb9ae4",
"owner_account_name": "AccountName",
"owner_user_name": "user@samsung.com",
"protected": false,
"root_device_name": "/dev/vda",
"scp_image_type": "custom",
"scp_k8s_version": "v1.28.7",
"scp_original_image_type": "standard",
"scp_os_build_version": "20250101",
"scp_os_version": "8.8",
"size": 2429747200,
"status": "active",
"updated_at": "2025-07-26T12:00:00Z",
"url": "https://object-store.kr-west1.s.samsungsdscloud.com/8989447062e04a818baf9e073fd04fa7/bucket/object.qcow2",
"virtual_size": 17179869184,
"visibility": "private",
"volumes": "[{\"tag\": null, \"volume_id\": null, \"encryption_options\": null, \"encryption_secret_uuid\": null, \"encryption_format\": null, \"device_name\": \"/dev/vda\", \"disk_bus\": \"virtio\", \"volume_type\": null, \"encrypted\": null, \"image_id\": null, \"device_type\": \"disk\", \"source_type\": \"snapshot\", \"delete_on_termination\": false, \"volume_size\": 104, \"guest_format\": null, \"boot_index\": 0, \"destination_type\": \"volume\", \"snapshot_id\": \"abde9e38-2ed5-4ecd-b23c-b0120e30690e\", \"no_device\": null}]"
}
11 - Create Image member
11.1 - 1.3
post /v1/images/{image_id}/members
Description
Account ID를 공유 이미지 멤버로 추가합니다.
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.3 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | image_id required | 이미지 ID Example : 70a599e0-31e7-49b7-b260-868f441e862b | string | None |
| body | body required | ImageMemberCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | ImageMemberShowResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/images/{image_id}/members
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = virtualserver 1.3"
Request body
{
"member_id": "a8f10467abfc4b87b64614ab36eb9ae4"
}
Example HTTP response
Response 200
{
"created_at": "2025-07-22T09:00:00Z",
"image_id": "70a599e0-31e7-49b7-b260-868f441e862b",
"member_id": "a8f10467abfc4b87b64614ab36eb9ae4",
"status": "pending",
"updated_at": "2025-07-26T12:00:00Z"
}
11.2 - 1.2
post /v1/images/{image_id}/members
Description
Account ID를 공유 이미지 멤버로 추가합니다.
상태 ACTIVE (SUPPORTED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.2 | 20260831 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | image_id required | 이미지 ID Example : 70a599e0-31e7-49b7-b260-868f441e862b | string | None |
| body | body required | ImageMemberCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | ImageMemberShowResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/images/{image_id}/members
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = virtualserver 1.2"
Request body
{
"member_id": "a8f10467abfc4b87b64614ab36eb9ae4"
}
Example HTTP response
Response 200
{
"created_at": "2025-07-22T09:00:00Z",
"image_id": "70a599e0-31e7-49b7-b260-868f441e862b",
"member_id": "a8f10467abfc4b87b64614ab36eb9ae4",
"status": "pending",
"updated_at": "2025-07-26T12:00:00Z"
}
11.3 - 1.1
post /v1/images/{image_id}/members
Description
Account ID를 공유 이미지 멤버로 추가합니다.
상태 ACTIVE (DEPRECATED)
Not Before 기간이 도래하거나 만료된 Deprecated 버전은 더 이상 지원하지 않습니다. 최신 버전 사용을 권장합니다.
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | 20260531 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | image_id required | 이미지 ID Example : 70a599e0-31e7-49b7-b260-868f441e862b | string | None |
| body | body required | ImageMemberCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | ImageMemberShowResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/images/{image_id}/members
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = virtualserver 1.1"
Request body
{
"member_id": "a8f10467abfc4b87b64614ab36eb9ae4"
}
Example HTTP response
Response 200
{
"created_at": "2025-07-22T09:00:00Z",
"image_id": "70a599e0-31e7-49b7-b260-868f441e862b",
"member_id": "a8f10467abfc4b87b64614ab36eb9ae4",
"status": "pending",
"updated_at": "2025-07-26T12:00:00Z"
}
11.4 - 1.0
post /v1/images/{image_id}/members
Description
Account ID를 공유 이미지 멤버로 추가합니다.
상태 ACTIVE (DEPRECATED)
Not Before 기간이 도래하거나 만료된 Deprecated 버전은 더 이상 지원하지 않습니다. 최신 버전 사용을 권장합니다.
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | image_id required | 이미지 ID Example : 70a599e0-31e7-49b7-b260-868f441e862b | string | None |
| body | body required | ImageMemberCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | ImageMemberShowResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/images/{image_id}/members
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = virtualserver 1.0"
Request body
{
"member_id": "a8f10467abfc4b87b64614ab36eb9ae4"
}
Example HTTP response
Response 200
{
"created_at": "2025-07-22T09:00:00Z",
"image_id": "70a599e0-31e7-49b7-b260-868f441e862b",
"member_id": "a8f10467abfc4b87b64614ab36eb9ae4",
"status": "pending",
"updated_at": "2025-07-26T12:00:00Z"
}
12 - Create Keypair
12.1 - 1.3
post /v1/keypairs
Description
새 키페어를 만들거나 공개 키를 가져옵니다.
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.3 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| body | body required | KeypairCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 201 | Created | KeypairCreateResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/keypairs
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = virtualserver 1.3"
Request body
{
"name": "keypairname",
"public_key": "ssh-rsa fakeKey Generated-by-SCP",
"tags": [
{
"key": "key",
"value": "value"
}
]
}
Example HTTP response
Response 201
{
"fingerprint": "7e:eb:ab:24:ba:d1:e1:88:ae:9a:fb:66:53:df:d3:bd",
"name": "keypairname",
"private_key": "-----BEGIN RSA PRIVATE KEY-----\nfakeKey\n-----END RSA PRIVATE KEY-----",
"public_key": "ssh-rsa fakeKey Generated-by-SCP",
"type": "ssh"
}
12.2 - 1.2
post /v1/keypairs
Description
새 키페어를 만들거나 공개 키를 가져옵니다.
상태 ACTIVE (SUPPORTED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.2 | 20260831 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| body | body required | KeypairCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 201 | Created | KeypairCreateResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/keypairs
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = virtualserver 1.2"
Request body
{
"name": "keypairname",
"public_key": "ssh-rsa fakeKey Generated-by-SCP",
"tags": [
{
"key": "key",
"value": "value"
}
]
}
Example HTTP response
Response 201
{
"fingerprint": "7e:eb:ab:24:ba:d1:e1:88:ae:9a:fb:66:53:df:d3:bd",
"name": "keypairname",
"private_key": "-----BEGIN RSA PRIVATE KEY-----\nfakeKey\n-----END RSA PRIVATE KEY-----",
"public_key": "ssh-rsa fakeKey Generated-by-SCP",
"type": "ssh"
}
12.3 - 1.1
post /v1/keypairs
Description
새 키페어를 만들거나 공개 키를 가져옵니다.
상태 ACTIVE (DEPRECATED)
Not Before 기간이 도래하거나 만료된 Deprecated 버전은 더 이상 지원하지 않습니다. 최신 버전 사용을 권장합니다.
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | 20260531 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| body | body required | KeypairCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 201 | Created | KeypairCreateResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/keypairs
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = virtualserver 1.1"
Request body
{
"name": "keypairname",
"public_key": "ssh-rsa fakeKey Generated-by-SCP",
"tags": [
{
"key": "key",
"value": "value"
}
]
}
Example HTTP response
Response 201
{
"fingerprint": "7e:eb:ab:24:ba:d1:e1:88:ae:9a:fb:66:53:df:d3:bd",
"name": "keypairname",
"private_key": "-----BEGIN RSA PRIVATE KEY-----\nfakeKey\n-----END RSA PRIVATE KEY-----",
"public_key": "ssh-rsa fakeKey Generated-by-SCP",
"type": "ssh"
}
12.4 - 1.0
post /v1/keypairs
Description
새 키페어를 만들거나 공개 키를 가져옵니다.
상태 ACTIVE (DEPRECATED)
Not Before 기간이 도래하거나 만료된 Deprecated 버전은 더 이상 지원하지 않습니다. 최신 버전 사용을 권장합니다.
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| body | body required | KeypairCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 201 | Created | KeypairCreateResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/keypairs
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = virtualserver 1.0"
Request body
{
"name": "keypairname",
"public_key": "ssh-rsa fakeKey Generated-by-SCP",
"tags": [
{
"key": "key",
"value": "value"
}
]
}
Example HTTP response
Response 201
{
"fingerprint": "7e:eb:ab:24:ba:d1:e1:88:ae:9a:fb:66:53:df:d3:bd",
"name": "keypairname",
"private_key": "-----BEGIN RSA PRIVATE KEY-----\nfakeKey\n-----END RSA PRIVATE KEY-----",
"public_key": "ssh-rsa fakeKey Generated-by-SCP",
"type": "ssh"
}
13 - Create Launch Configuration
13.1 - 1.3
post /v1/launch-configurations
Description
Launch Configuration을 생성합니다.
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.3 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| body | body required | LaunchConfigurationCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 201 | Created | LaunchConfigurationDetailShowResponseV1Dot2 |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/launch-configurations
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = virtualserver 1.3"
Request body
{
"image_id": "70a599e0-31e7-49b7-b260-868f441e862b",
"keypair_name": "keypairname",
"name": "launch-configuration-name",
"server_type_id": "s1v1m2",
"tags": [
{
"key": "key",
"value": "value"
}
],
"user_data": "IyEvYmluL2Jhc2gKL2Jpbi9zdQplY2hvICJJIGFtIGluIHlvdSEiCg==",
"volumes": [
{
"boot_index": 0,
"size": 104,
"type": "SSD"
}
]
}
Example HTTP response
Response 201
{
"account_id": "a8f10467abfc4b87b64614ab36eb9ae4",
"auto_scaling_group_count": 1,
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"file_storage_ids": [
""
],
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"image_id": "70a599e0-31e7-49b7-b260-868f441e862b",
"image_name": "imagename",
"keypair_name": "keypairname",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "launch-configuration-name",
"public_key": "ssh-rsa fakeKey Generated-by-SCP",
"server_type_id": "s1v1m2",
"state": "ACTIVE",
"user_data": "IyEvYmluL2Jhc2gKL2Jpbi9zdQplY2hvICJJIGFtIGluIHlvdSEiCg==",
"volumes": [
{
"boot_index": 0,
"max_iops": 10000,
"max_throughput": 500,
"size": 104,
"type": "SSD"
}
]
}
13.2 - 1.2
post /v1/launch-configurations
Description
Launch Configuration을 생성합니다.
상태 ACTIVE (SUPPORTED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.2 | 20260831 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| body | body required | LaunchConfigurationCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 201 | Created | LaunchConfigurationDetailShowResponseV1Dot2 |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/launch-configurations
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = virtualserver 1.2"
Request body
{
"image_id": "70a599e0-31e7-49b7-b260-868f441e862b",
"keypair_name": "keypairname",
"name": "launch-configuration-name",
"server_type_id": "s1v1m2",
"tags": [
{
"key": "key",
"value": "value"
}
],
"user_data": "IyEvYmluL2Jhc2gKL2Jpbi9zdQplY2hvICJJIGFtIGluIHlvdSEiCg==",
"volumes": [
{
"boot_index": 0,
"size": 104,
"type": "SSD"
}
]
}
Example HTTP response
Response 201
{
"account_id": "a8f10467abfc4b87b64614ab36eb9ae4",
"auto_scaling_group_count": 1,
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"file_storage_ids": [
""
],
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"image_id": "70a599e0-31e7-49b7-b260-868f441e862b",
"image_name": "imagename",
"keypair_name": "keypairname",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "launch-configuration-name",
"public_key": "ssh-rsa fakeKey Generated-by-SCP",
"server_type_id": "s1v1m2",
"state": "ACTIVE",
"user_data": "IyEvYmluL2Jhc2gKL2Jpbi9zdQplY2hvICJJIGFtIGluIHlvdSEiCg==",
"volumes": [
{
"boot_index": 0,
"max_iops": 10000,
"max_throughput": 500,
"size": 104,
"type": "SSD"
}
]
}
13.3 - 1.1
post /v1/launch-configurations
Description
Launch Configuration을 생성합니다.
상태 ACTIVE (DEPRECATED)
Not Before 기간이 도래하거나 만료된 Deprecated 버전은 더 이상 지원하지 않습니다. 최신 버전 사용을 권장합니다.
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | 20260531 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| body | body required | LaunchConfigurationCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 201 | Created | LaunchConfigurationDetailShowResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/launch-configurations
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = virtualserver 1.1"
Request body
{
"image_id": "70a599e0-31e7-49b7-b260-868f441e862b",
"keypair_name": "keypairname",
"name": "launch-configuration-name",
"server_type_id": "s1v1m2",
"tags": [
{
"key": "key",
"value": "value"
}
],
"user_data": "IyEvYmluL2Jhc2gKL2Jpbi9zdQplY2hvICJJIGFtIGluIHlvdSEiCg==",
"volumes": [
{
"boot_index": 0,
"size": 104,
"type": "SSD"
}
]
}
Example HTTP response
Response 201
{
"account_id": "a8f10467abfc4b87b64614ab36eb9ae4",
"auto_scaling_group_count": 1,
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"image_id": "70a599e0-31e7-49b7-b260-868f441e862b",
"image_name": "imagename",
"keypair_name": "keypairname",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "launch-configuration-name",
"public_key": "ssh-rsa fakeKey Generated-by-SCP",
"server_type_id": "s1v1m2",
"state": "ACTIVE",
"user_data": "IyEvYmluL2Jhc2gKL2Jpbi9zdQplY2hvICJJIGFtIGluIHlvdSEiCg==",
"volumes": [
{
"boot_index": 0,
"size": 104,
"type": "SSD"
}
]
}
13.4 - 1.0
post /v1/launch-configurations
Description
Launch Configuration을 생성합니다.
상태 ACTIVE (DEPRECATED)
Not Before 기간이 도래하거나 만료된 Deprecated 버전은 더 이상 지원하지 않습니다. 최신 버전 사용을 권장합니다.
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| body | body required | LaunchConfigurationCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 201 | Created | LaunchConfigurationDetailShowResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/launch-configurations
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = virtualserver 1.0"
Request body
{
"image_id": "70a599e0-31e7-49b7-b260-868f441e862b",
"keypair_name": "keypairname",
"name": "launch-configuration-name",
"server_type_id": "s1v1m2",
"tags": [
{
"key": "key",
"value": "value"
}
],
"user_data": "IyEvYmluL2Jhc2gKL2Jpbi9zdQplY2hvICJJIGFtIGluIHlvdSEiCg==",
"volumes": [
{
"boot_index": 0,
"size": 104,
"type": "SSD"
}
]
}
Example HTTP response
Response 201
{
"account_id": "a8f10467abfc4b87b64614ab36eb9ae4",
"auto_scaling_group_count": 1,
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"image_id": "70a599e0-31e7-49b7-b260-868f441e862b",
"image_name": "imagename",
"keypair_name": "keypairname",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "launch-configuration-name",
"public_key": "ssh-rsa fakeKey Generated-by-SCP",
"server_type_id": "s1v1m2",
"state": "ACTIVE",
"user_data": "IyEvYmluL2Jhc2gKL2Jpbi9zdQplY2hvICJJIGFtIGluIHlvdSEiCg==",
"volumes": [
{
"boot_index": 0,
"size": 104,
"type": "SSD"
}
]
}
14 - Create Server Group
14.1 - 1.3
post /v1/server-groups
Description
서버 그룹을 생성합니다.
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.3 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| body | body required | ServerGroupCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 201 | Created | ServerGroup |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/server-groups
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = virtualserver 1.3"
Request body
{
"name": "server-group",
"policy": "anti-affinity",
"tags": [
{
"key": "key",
"value": "value"
}
]
}
Example HTTP response
Response 201
{
"account_id": "a8f10467abfc4b87b64614ab36eb9ae4",
"id": "616fb98f-46ca-475e-917e-2563e5a8cd19",
"members": [
"2a9be312-5d4b-4bc8-b2ae-35100fa9241f"
],
"name": "server-group",
"partition_size": 3,
"policy": "anti-affinity",
"user_id": "570907805e5447be84b618450ef52o0t"
}
14.2 - 1.2
post /v1/server-groups
Description
서버 그룹을 생성합니다.
상태 ACTIVE (SUPPORTED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.2 | 20260831 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| body | body required | ServerGroupCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 201 | Created | ServerGroup |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/server-groups
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = virtualserver 1.2"
Request body
{
"name": "server-group",
"policy": "anti-affinity",
"tags": [
{
"key": "key",
"value": "value"
}
]
}
Example HTTP response
Response 201
{
"account_id": "a8f10467abfc4b87b64614ab36eb9ae4",
"id": "616fb98f-46ca-475e-917e-2563e5a8cd19",
"members": [
"2a9be312-5d4b-4bc8-b2ae-35100fa9241f"
],
"name": "server-group",
"partition_size": 3,
"policy": "anti-affinity",
"user_id": "570907805e5447be84b618450ef52o0t"
}
14.3 - 1.1
post /v1/server-groups
Description
서버 그룹을 생성합니다.
상태 ACTIVE (DEPRECATED)
Not Before 기간이 도래하거나 만료된 Deprecated 버전은 더 이상 지원하지 않습니다. 최신 버전 사용을 권장합니다.
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | 20260531 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| body | body required | ServerGroupCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 201 | Created | ServerGroup |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/server-groups
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = virtualserver 1.1"
Request body
{
"name": "server-group",
"policy": "anti-affinity",
"tags": [
{
"key": "key",
"value": "value"
}
]
}
Example HTTP response
Response 201
{
"account_id": "a8f10467abfc4b87b64614ab36eb9ae4",
"id": "616fb98f-46ca-475e-917e-2563e5a8cd19",
"members": [
"2a9be312-5d4b-4bc8-b2ae-35100fa9241f"
],
"name": "server-group",
"partition_size": 3,
"policy": "anti-affinity",
"user_id": "570907805e5447be84b618450ef52o0t"
}
14.4 - 1.0
post /v1/server-groups
Description
서버 그룹을 생성합니다.
상태 ACTIVE (DEPRECATED)
Not Before 기간이 도래하거나 만료된 Deprecated 버전은 더 이상 지원하지 않습니다. 최신 버전 사용을 권장합니다.
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| body | body required | ServerGroupCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 201 | Created | ServerGroup |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/server-groups
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = virtualserver 1.0"
Request body
{
"name": "server-group",
"policy": "anti-affinity",
"tags": [
{
"key": "key",
"value": "value"
}
]
}
Example HTTP response
Response 201
{
"account_id": "a8f10467abfc4b87b64614ab36eb9ae4",
"id": "616fb98f-46ca-475e-917e-2563e5a8cd19",
"members": [
"2a9be312-5d4b-4bc8-b2ae-35100fa9241f"
],
"name": "server-group",
"partition_size": 3,
"policy": "anti-affinity",
"user_id": "570907805e5447be84b618450ef52o0t"
}
15 - Create Server Interface
15.1 - 1.3
post /v1/servers/{server_id}/interfaces
Description
Create a new network port to the virtual server, or add an existing network port.
When creating a new network port, enter the subnet ID. IP can be set to auto-generate or user input fixed ips.
If you want to add an existing network port, enter the port ID.
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.3 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | server_id required | 서버 ID Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f | string | None |
| body | body required | ServerInterfaceCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | InterfaceResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/servers/{server_id}/interfaces
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = virtualserver 1.3"
Request body
{
"fixed_ips": [
{
"ip_address": "192.169.3.2"
}
],
"port_id": "91424c08-0b26-49fb-9808-ed042292ceef",
"subnet_id": "78b2ee3f074145c580ab6abac4821f97"
}
Example HTTP response
Response 200
{
"fixed_ips": [
{
"ip_address": "192.169.3.2"
}
],
"mac_addr": "fa:16:3e:c0:71:2b",
"port_id": "f2b02fc5-a5fd-4b5f-b1a9-987f4c0d66cc",
"port_state": "ACTIVE",
"private_static_nat": {
"external_ip_address": "182.197.61.81",
"id": "224b80106e6f41b38efe98ac9ddbf280",
"private_nat_ip_id": "1f0cb5390c40483592ddc5a282f53496",
"state": "ACTIVE"
},
"static_nat": {
"external_ip_address": "182.197.61.81",
"id": "224b80106e6f41b38efe98ac9ddbf280",
"publicip_id": "615fa9cd5cff486c9de679b3ce63e601",
"state": "ACTIVE"
},
"subnet_id": "183c6c30df0c4fcbb16422aa2d64aa21"
}
15.2 - 1.2
post /v1/servers/{server_id}/interfaces
Description
Create a new network port to the virtual server, or add an existing network port.
When creating a new network port, enter the subnet ID. IP can be set to auto-generate or user input fixed ips.
If you want to add an existing network port, enter the port ID.
상태 ACTIVE (SUPPORTED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.2 | 20260831 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | server_id required | 서버 ID Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f | string | None |
| body | body required | ServerInterfaceCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | InterfaceResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/servers/{server_id}/interfaces
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = virtualserver 1.2"
Request body
{
"fixed_ips": [
{
"ip_address": "192.169.3.2"
}
],
"port_id": "91424c08-0b26-49fb-9808-ed042292ceef",
"subnet_id": "78b2ee3f074145c580ab6abac4821f97"
}
Example HTTP response
Response 200
{
"fixed_ips": [
{
"ip_address": "192.169.3.2"
}
],
"mac_addr": "fa:16:3e:c0:71:2b",
"port_id": "f2b02fc5-a5fd-4b5f-b1a9-987f4c0d66cc",
"port_state": "ACTIVE",
"private_static_nat": {
"external_ip_address": "182.197.61.81",
"id": "224b80106e6f41b38efe98ac9ddbf280",
"private_nat_ip_id": "1f0cb5390c40483592ddc5a282f53496",
"state": "ACTIVE"
},
"static_nat": {
"external_ip_address": "182.197.61.81",
"id": "224b80106e6f41b38efe98ac9ddbf280",
"publicip_id": "615fa9cd5cff486c9de679b3ce63e601",
"state": "ACTIVE"
},
"subnet_id": "183c6c30df0c4fcbb16422aa2d64aa21"
}
15.3 - 1.1
post /v1/servers/{server_id}/interfaces
Description
Create a new network port to the virtual server, or add an existing network port.
When creating a new network port, enter the subnet ID. IP can be set to auto-generate or user input fixed ips.
If you want to add an existing network port, enter the port ID.
상태 ACTIVE (DEPRECATED)
Not Before 기간이 도래하거나 만료된 Deprecated 버전은 더 이상 지원하지 않습니다. 최신 버전 사용을 권장합니다.
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | 20260531 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | server_id required | 서버 ID Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f | string | None |
| body | body required | ServerInterfaceCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | InterfaceResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/servers/{server_id}/interfaces
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = virtualserver 1.1"
Request body
{
"fixed_ips": [
{
"ip_address": "192.169.3.2"
}
],
"port_id": "91424c08-0b26-49fb-9808-ed042292ceef",
"subnet_id": "78b2ee3f074145c580ab6abac4821f97"
}
Example HTTP response
Response 200
{
"fixed_ips": [
{
"ip_address": "192.169.3.2"
}
],
"mac_addr": "fa:16:3e:c0:71:2b",
"port_id": "f2b02fc5-a5fd-4b5f-b1a9-987f4c0d66cc",
"port_state": "ACTIVE",
"private_static_nat": {
"external_ip_address": "182.197.61.81",
"id": "224b80106e6f41b38efe98ac9ddbf280",
"private_nat_ip_id": "1f0cb5390c40483592ddc5a282f53496",
"state": "ACTIVE"
},
"static_nat": {
"external_ip_address": "182.197.61.81",
"id": "224b80106e6f41b38efe98ac9ddbf280",
"publicip_id": "615fa9cd5cff486c9de679b3ce63e601",
"state": "ACTIVE"
},
"subnet_id": "183c6c30df0c4fcbb16422aa2d64aa21"
}
15.4 - 1.0
post /v1/servers/{server_id}/interfaces
Description
Create a new network port to the virtual server, or add an existing network port.
When creating a new network port, enter the subnet ID. IP can be set to auto-generate or user input fixed ips.
If you want to add an existing network port, enter the port ID.
상태 ACTIVE (DEPRECATED)
Not Before 기간이 도래하거나 만료된 Deprecated 버전은 더 이상 지원하지 않습니다. 최신 버전 사용을 권장합니다.
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | server_id required | 서버 ID Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f | string | None |
| body | body required | ServerInterfaceCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | InterfaceResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/servers/{server_id}/interfaces
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = virtualserver 1.0"
Request body
{
"fixed_ips": [
{
"ip_address": "192.169.3.2"
}
],
"port_id": "91424c08-0b26-49fb-9808-ed042292ceef",
"subnet_id": "78b2ee3f074145c580ab6abac4821f97"
}
Example HTTP response
Response 200
{
"fixed_ips": [
{
"ip_address": "192.169.3.2"
}
],
"mac_addr": "fa:16:3e:c0:71:2b",
"port_id": "f2b02fc5-a5fd-4b5f-b1a9-987f4c0d66cc",
"port_state": "ACTIVE",
"private_static_nat": {
"external_ip_address": "182.197.61.81",
"id": "224b80106e6f41b38efe98ac9ddbf280",
"private_nat_ip_id": "1f0cb5390c40483592ddc5a282f53496",
"state": "ACTIVE"
},
"static_nat": {
"external_ip_address": "182.197.61.81",
"id": "224b80106e6f41b38efe98ac9ddbf280",
"publicip_id": "615fa9cd5cff486c9de679b3ce63e601",
"state": "ACTIVE"
},
"subnet_id": "183c6c30df0c4fcbb16422aa2d64aa21"
}
16 - Create Server Interface Nat
16.1 - 1.3
post /v1/servers/{server_id}/interfaces/{port_id}/static-nats
Description
Create Server Interface Public Nat.
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.3 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | server_id required | 서버 ID Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f | string | None |
| path | port_id required | 포트 ID Example : 91424c08-0b26-49fb-9808-ed042292ceef | string | None |
| body | body required | ServerStaticNatCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 201 | Created | None |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/servers/{server_id}/interfaces/{port_id}/static-nats
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = virtualserver 1.3"
Request body
{
"publicip_id": "615fa9cd5cff486c9de679b3ce63e601"
}
Example HTTP response
Response 201
16.2 - 1.2
post /v1/servers/{server_id}/interfaces/{port_id}/static-nats
Description
Create Server Interface Public Nat.
상태 ACTIVE (SUPPORTED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.2 | 20260831 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | server_id required | 서버 ID Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f | string | None |
[...]
